Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.language.base.plugins
[Java] Class LanguageBasePlugin

    java.lang.Object
      org.gradle.language.base.plugins.LanguageBasePlugin

All Implemented Interfaces:
  Plugin

    @Incubating
    public class LanguageBasePlugin

Base plugin for language support. Adds a BinaryContainer named `binaries` to the project. Adds a ProjectSourceSet named `sources` to the project.

Field Summary
`static String` | `BUILD_GROUP`

Constructor Summary
`LanguageBasePlugin(Instantiator instantiator)`

Method Summary
`void` | `apply(Project target)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### BUILD_GROUP

    public static final String BUILD_GROUP

Constructor Detail

### LanguageBasePlugin

    @Inject
    public LanguageBasePlugin(Instantiator instantiator)

Method Detail

### apply

    public void apply(Project target)

Gradle API 1.10